summaryrefslogtreecommitdiff
path: root/sh/gita
diff options
context:
space:
mode:
Diffstat (limited to 'sh/gita')
-rwxr-xr-xsh/gita17
1 files changed, 17 insertions, 0 deletions
diff --git a/sh/gita b/sh/gita
new file mode 100755
index 0000000..ee00306
--- /dev/null
+++ b/sh/gita
@@ -0,0 +1,17 @@
+#!/bin/sh
+# note message string must come after options
+
+cmd=git
+
+while getopts ls f; do
+ case $f in
+ l|s) cmd="cfg -$f";;
+ \?) exit 1;;
+ esac
+done
+shift $((OPTIND-1))
+
+mes="${1:-update}"
+
+$cmd commit --all -m "$mes"
+$cmd push